"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

var _pkgDir = _interopRequireDefault(require("pkg-dir"));

var _helperPluginUtils = require("@babel/helper-plugin-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (0, _helperPluginUtils.declare)(() => {
  return {
    plugins: [// Stage 0
    resolve('@babel/plugin-proposal-function-bind'), // Stage 1
    resolve('@babel/plugin-proposal-do-expressions'), resolve('@babel/plugin-syntax-export-extensions'), resolve('@babel/plugin-proposal-numeric-separator'), [resolve('@babel/plugin-proposal-optional-chaining'), {
      loose: false
    }], // Stage 2
    resolve('@babel/plugin-proposal-function-sent'), resolve('@babel/plugin-syntax-import-meta'), [resolve('@babel/plugin-proposal-decorators'), {
      legacy: true
    }], // Stage 3
    resolve('@babel/plugin-proposal-unicode-property-regex'), resolve('@babel/plugin-syntax-dynamic-import'), resolve('@babel/plugin-transform-dotall-regex'), resolve('babel-plugin-transform-modern-regexp'), [resolve('@babel/plugin-proposal-class-properties'), {
      loose: true
    }], // Stage 4
    resolve('@babel/plugin-transform-runtime')]
  };
});

exports.default = _default;

function resolve(packageName, dirname = __dirname, paths = []) {
  return require.resolve(packageName, {
    paths: [_path.default.resolve(_pkgDir.default.sync(process.cwd()), 'node_modules'), _path.default.resolve(_pkgDir.default.sync(dirname), 'node_modules'), ...paths]
  });
}